## 64tass 1.58.2974

=== Makefile ===
# $Id: Makefile 2974 2023-01-11 07:16:37Z soci $
OBJS = 64tass.o opcodes.o str.o avl.o my_getopt.o eval.o error.o section.o \
 encoding.o ternary.o file.o values.o variables.o mem.o isnprintf.o macro.o \
 obj.o floatobj.o addressobj.o codeobj.o strobj.o listobj.o boolobj.o bytesobj.o \
 intobj.o bitsobj.o functionobj.o instruction.o unicode.o unicodedata.o listing.o \
 registerobj.o dictobj.o namespaceobj.o operobj.o gapobj.o typeobj.o noneobj.o \
 longjump.o wchar.o math.o arguments.o optimizer.o opt_bit.o labelobj.o \
 errorobj.o macroobj.o mfuncobj.o symbolobj.o anonsymbolobj.o memblocksobj.o \
 foldobj.o main.o console.o encobj.o
LDLIBS = -lm
LANG = C
VERSION = 1.58
CFLAGS = -O2
LDFLAGS =
TARGET = 64tass
RM = rm -f
RMDIR = rmdir
INSTALL = install -c
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644
prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
datarootdir = $(prefix)/share
mandir = $(datarootdir)/man
man1dir = $(mandir)/man1
docdir = $(datarootdir)/doc/$(TARGET)

.SILENT:

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LDLIBS) -o $@

64tass.o: 64tass.c 64tass.h attributes.h stdbool.h inttypes.h wait_e.h \
 error.h errors_e.h opcodes.h eval.h oper_e.h values.h section.h avl.h \
 str.h encoding.h file.h variables.h macro.h instruction.h unicode.h \
 listing.h optimizer.h arguments.h ternary.h opt_bit.h longjump.h mem.h \
 unicodedata.h main.h version.h listobj.h obj.h codeobj.h strobj.h \
 addressobj.h boolobj.h bytesobj.h intobj.h bitsobj.h functionobj.h \
 namespaceobj.h operobj.h gapobj.h typeobj.h noneobj.h registerobj.h \
 labelobj.h errorobj.h macroobj.h mfuncobj.h memblocksobj.h symbolobj.h \
 dictobj.h encobj.h
addressobj.o: addressobj.c addressobj.h obj.h attributes.h inttypes.h \
 values.h stdbool.h error.h errors_e.h eval.h oper_e.h variables.h \
 arguments.h instruction.h boolobj.h strobj.h intobj.h typeobj.h \
 noneobj.h errorobj.h floatobj.h bitsobj.h bytesobj.h registerobj.h
anonsymbolobj.o: anonsymbolobj.c anonsymbolobj.h obj.h attributes.h \
 inttypes.h eval.h stdbool.h oper_e.h values.h typeobj.h strobj.h
arguments.o: arguments.c arguments.h stdbool.h inttypes.h 64tass.h \
 attributes.h wait_e.h opcodes.h my_getopt.h error.h errors_e.h unicode.h \
 version.h
avl.o: avl.c avl.h attributes.h stdbool.h
bitsobj.o: bitsobj.c bitsobj.h obj.h attributes.h inttypes.h oper_e.h \
 math.h eval.h stdbool.h variables.h unicode.h error.h errors_e.h \
 arguments.h codeobj.h values.h boolobj.h floatobj.h strobj.h bytesobj.h \
 intobj.h listobj.h typeobj.h noneobj.h errorobj.h addressobj.h encobj.h \
 avl.h
boolobj.o: boolobj.c boolobj.h obj.h attributes.h inttypes.h stdbool.h \
 eval.h oper_e.h error.h errors_e.h variables.h arguments.h floatobj.h \
 values.h strobj.h bitsobj.h intobj.h typeobj.h errorobj.h noneobj.h \
 functionobj.h
bytesobj.o: bytesobj.c bytesobj.h obj.h attributes.h inttypes.h math.h \
 eval.h stdbool.h oper_e.h unicode.h variables.h arguments.h error.h \
 errors_e.h boolobj.h floatobj.h values.h codeobj.h intobj.h strobj.h \
 bitsobj.h listobj.h typeobj.h noneobj.h errorobj.h addressobj.h encobj.h \
 avl.h
codeobj.o: codeobj.c codeobj.h obj.h attributes.h inttypes.h values.h \
 eval.h stdbool.h oper_e.h mem.h 64tass.h wait_e.h section.h avl.h str.h \
 variables.h error.h errors_e.h arguments.h boolobj.h floatobj.h \
 namespaceobj.h listobj.h intobj.h bitsobj.h bytesobj.h gapobj.h \
 typeobj.h noneobj.h errorobj.h memblocksobj.h symbolobj.h addressobj.h \
 strobj.h
console.o: console.c console.h stdbool.h
dictobj.o: dictobj.c dictobj.h obj.h attributes.h inttypes.h eval.h \
 stdbool.h oper_e.h error.h errors_e.h variables.h intobj.h listobj.h \
 values.h strobj.h boolobj.h typeobj.h noneobj.h errorobj.h symbolobj.h \
 str.h
encobj.o: encobj.c encobj.h obj.h attributes.h inttypes.h stdbool.h avl.h \
 errors_e.h values.h ternary.h str.h error.h 64tass.h wait_e.h encoding.h \
 unicode.h eval.h oper_e.h typeobj.h strobj.h bytesobj.h bitsobj.h \
 errorobj.h functionobj.h
encoding.o: encoding.c encoding.h stdbool.h error.h attributes.h \
 errors_e.h inttypes.h ternary.h values.h 64tass.h wait_e.h str.h \
 encobj.h obj.h avl.h
error.o: error.c error.h attributes.h stdbool.h errors_e.h inttypes.h \
 file.h 64tass.h wait_e.h unicode.h eval.h oper_e.h arguments.h opcodes.h \
 section.h avl.h str.h macro.h strobj.h obj.h addressobj.h values.h \
 registerobj.h namespaceobj.h operobj.h typeobj.h labelobj.h errorobj.h \
 noneobj.h symbolobj.h anonsymbolobj.h console.h
errorobj.o: errorobj.c errorobj.h obj.h attributes.h inttypes.h \
 errors_e.h oper_e.h stdbool.h eval.h values.h error.h 64tass.h wait_e.h \
 file.h macro.h typeobj.h registerobj.h namespaceobj.h
eval.o: eval.c eval.h attributes.h inttypes.h stdbool.h oper_e.h math.h \
 section.h avl.h str.h variables.h 64tass.h wait_e.h unicode.h error.h \
 errors_e.h values.h arguments.h optimizer.h unicodedata.h floatobj.h \
 obj.h boolobj.h intobj.h bitsobj.h strobj.h codeobj.h bytesobj.h \
 addressobj.h listobj.h dictobj.h registerobj.h namespaceobj.h operobj.h \
 gapobj.h typeobj.h noneobj.h labelobj.h errorobj.h symbolobj.h \
 anonsymbolobj.h foldobj.h memblocksobj.h functionobj.h
file.o: file.c file.h stdbool.h inttypes.h wchar.h 64tass.h attributes.h \
 wait_e.h unicode.h error.h errors_e.h arguments.h unicodedata.h avl.h \
 str.h main.h
floatobj.o: floatobj.c floatobj.h obj.h attributes.h inttypes.h values.h \
 math.h error.h stdbool.h errors_e.h eval.h oper_e.h variables.h \
 arguments.h boolobj.h codeobj.h strobj.h bytesobj.h intobj.h bitsobj.h \
 operobj.h typeobj.h noneobj.h errorobj.h addressobj.h functionobj.h
foldobj.o: foldobj.c foldobj.h obj.h attributes.h inttypes.h values.h \
 eval.h stdbool.h oper_e.h typeobj.h strobj.h errorobj.h errors_e.h \
 boolobj.h
functionobj.o: functionobj.c functionobj.h obj.h attributes.h inttypes.h \
 math.h isnprintf.h eval.h stdbool.h oper_e.h variables.h error.h \
 errors_e.h file.h arguments.h instruction.h 64tass.h wait_e.h section.h \
 avl.h str.h floatobj.h values.h strobj.h listobj.h intobj.h boolobj.h \
 typeobj.h noneobj.h errorobj.h bytesobj.h dictobj.h addressobj.h
gapobj.o: gapobj.c gapobj.h obj.h attributes.h inttypes.h eval.h \
 stdbool.h oper_e.h variables.h values.h strobj.h boolobj.h typeobj.h
instruction.o: instruction.c instruction.h attributes.h stdbool.h \
 inttypes.h opcodes.h 64tass.h wait_e.h section.h avl.h str.h file.h \
 listing.h error.h errors_e.h longjump.h arguments.h optimizer.h \
 addressobj.h obj.h values.h listobj.h registerobj.h codeobj.h typeobj.h \
 noneobj.h errorobj.h oper_e.h memblocksobj.h eval.h
intobj.o: intobj.c intobj.h obj.h attributes.h inttypes.h math.h \
 unicode.h stdbool.h error.h errors_e.h eval.h oper_e.h variables.h \
 arguments.h boolobj.h floatobj.h values.h codeobj.h strobj.h bytesobj.h \
 bitsobj.h typeobj.h noneobj.h errorobj.h addressobj.h functionobj.h \
 encobj.h avl.h
isnprintf.o: isnprintf.c isnprintf.h attributes.h inttypes.h unicode.h \
 stdbool.h eval.h oper_e.h error.h errors_e.h str.h floatobj.h obj.h \
 values.h strobj.h intobj.h typeobj.h noneobj.h errorobj.h
labelobj.o: labelobj.c labelobj.h obj.h attributes.h inttypes.h str.h \
 stdbool.h values.h error.h errors_e.h unicode.h file.h strobj.h \
 typeobj.h
listing.o: listing.c listing.h attributes.h inttypes.h stdbool.h file.h \
 error.h errors_e.h 64tass.h wait_e.h opcodes.h unicode.h section.h avl.h \
 str.h instruction.h obj.h values.h arguments.h macro.h version.h
listobj.o: listobj.c listobj.h obj.h attributes.h inttypes.h values.h \
 stdbool.h eval.h oper_e.h variables.h error.h errors_e.h boolobj.h \
 codeobj.h strobj.h intobj.h typeobj.h noneobj.h errorobj.h foldobj.h
longjump.o: longjump.c longjump.h avl.h attributes.h stdbool.h inttypes.h \
 error.h errors_e.h
macro.o: macro.c macro.h inttypes.h wait_e.h stdbool.h file.h eval.h \
 attributes.h oper_e.h values.h section.h avl.h str.h variables.h \
 64tass.h listing.h error.h errors_e.h arguments.h optimizer.h main.h \
 listobj.h obj.h typeobj.h noneobj.h namespaceobj.h labelobj.h macroobj.h \
 mfuncobj.h memblocksobj.h functionobj.h
macroobj.o: macroobj.c macroobj.h obj.h attributes.h inttypes.h str.h \
 stdbool.h values.h eval.h oper_e.h error.h errors_e.h file.h typeobj.h \
 namespaceobj.h intobj.h noneobj.h errorobj.h
main.o: main.c main.h stdbool.h wchar.h inttypes.h error.h attributes.h \
 errors_e.h unicode.h console.h 64tass.h wait_e.h
math.o: math.c math.h
memblocksobj.o: memblocksobj.c memblocksobj.h obj.h attributes.h \
 inttypes.h stdbool.h values.h error.h errors_e.h section.h avl.h str.h \
 unicode.h arguments.h version.h typeobj.h
mem.o: mem.c mem.h attributes.h inttypes.h error.h stdbool.h errors_e.h \
 unicode.h 64tass.h wait_e.h listing.h arguments.h values.h \
 memblocksobj.h obj.h
mfuncobj.o: mfuncobj.c mfuncobj.h obj.h attributes.h inttypes.h str.h \
 stdbool.h values.h eval.h oper_e.h error.h errors_e.h macro.h wait_e.h \
 file.h typeobj.h namespaceobj.h listobj.h
my_getopt.o: my_getopt.c my_getopt.h stdbool.h unicode.h attributes.h \
 inttypes.h error.h errors_e.h
namespaceobj.o: namespaceobj.c namespaceobj.h obj.h attributes.h \
 inttypes.h variables.h stdbool.h eval.h oper_e.h error.h errors_e.h \
 arguments.h 64tass.h wait_e.h listobj.h values.h strobj.h typeobj.h \
 noneobj.h labelobj.h str.h errorobj.h symbolobj.h anonsymbolobj.h \
 codeobj.h macroobj.h mfuncobj.h boolobj.h
noneobj.o: noneobj.c noneobj.h obj.h attributes.h inttypes.h eval.h \
 stdbool.h oper_e.h typeobj.h errorobj.h errors_e.h
obj.o: obj.c obj.h attributes.h inttypes.h eval.h stdbool.h oper_e.h \
 values.h boolobj.h floatobj.h strobj.h macroobj.h str.h intobj.h \
 listobj.h namespaceobj.h addressobj.h codeobj.h registerobj.h bytesobj.h \
 bitsobj.h functionobj.h dictobj.h operobj.h gapobj.h typeobj.h noneobj.h \
 labelobj.h errorobj.h errors_e.h mfuncobj.h symbolobj.h anonsymbolobj.h \
 memblocksobj.h foldobj.h encobj.h avl.h
opcodes.o: opcodes.c opcodes.h inttypes.h
operobj.o: operobj.c operobj.h obj.h attributes.h inttypes.h oper_e.h \
 strobj.h stdbool.h typeobj.h
opt_bit.o: opt_bit.c opt_bit.h stdbool.h attributes.h error.h errors_e.h \
 inttypes.h
optimizer.o: optimizer.c optimizer.h inttypes.h stdbool.h error.h \
 attributes.h errors_e.h section.h avl.h str.h opcodes.h opt_bit.h \
 macro.h wait_e.h
registerobj.o: registerobj.c registerobj.h obj.h attributes.h inttypes.h \
 stdbool.h eval.h oper_e.h variables.h values.h strobj.h typeobj.h \
 errorobj.h errors_e.h addressobj.h intobj.h error.h
section.o: section.c section.h avl.h attributes.h stdbool.h str.h \
 inttypes.h unicode.h error.h errors_e.h 64tass.h wait_e.h values.h \
 intobj.h obj.h longjump.h optimizer.h eval.h oper_e.h memblocksobj.h
str.o: str.c str.h inttypes.h unicode.h attributes.h stdbool.h error.h \
 errors_e.h arguments.h
strobj.o: strobj.c strobj.h obj.h attributes.h inttypes.h stdbool.h \
 eval.h oper_e.h unicode.h error.h errors_e.h variables.h arguments.h \
 str.h boolobj.h bytesobj.h intobj.h bitsobj.h listobj.h values.h \
 typeobj.h noneobj.h errorobj.h
symbolobj.o: symbolobj.c symbolobj.h obj.h attributes.h inttypes.h str.h \
 stdbool.h eval.h oper_e.h unicode.h error.h errors_e.h file.h values.h \
 arguments.h typeobj.h strobj.h
ternary.o: ternary.c ternary.h stdbool.h inttypes.h unicode.h \
 attributes.h error.h errors_e.h
typeobj.o: typeobj.c typeobj.h obj.h attributes.h inttypes.h stdbool.h \
 variables.h eval.h oper_e.h strobj.h functionobj.h
unicodedata.o: unicodedata.c unicodedata.h inttypes.h attributes.h
unicode.o: unicode.c unicode.h attributes.h inttypes.h stdbool.h wchar.h \
 unicodedata.h str.h console.h error.h errors_e.h
values.o: values.c values.h attributes.h obj.h inttypes.h unicode.h \
 stdbool.h error.h errors_e.h strobj.h typeobj.h
variables.o: variables.c variables.h stdbool.h inttypes.h unicode.h \
 attributes.h 64tass.h wait_e.h file.h obj.h error.h errors_e.h values.h \
 arguments.h eval.h oper_e.h boolobj.h floatobj.h namespaceobj.h strobj.h \

=== debian/changelog ===
64tass (1.58.2974-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Jan 2023 10:37:34 +0100

64tass (1.57.2900-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 05 Nov 2022 19:35:27 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
	rm $(CURDIR)/debian/64tass/usr/share/doc/64tass/LICENSE*

%:
	dh $@

.PHONY: override_dh_auto_install

## 64tass 1.59.3120

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 2974 2023-01-11 07:16:37Z soci $
+# $Id: Makefile 3120 2023-09-10 16:14:30Z soci $
 OBJS = 64tass.o opcodes.o str.o avl.o my_getopt.o eval.o error.o section.o \
  encoding.o ternary.o file.o values.o variables.o mem.o isnprintf.o macro.o \
  obj.o floatobj.o addressobj.o codeobj.o strobj.o listobj.o boolobj.o bytesobj.o \
@@ -6,10 +6,10 @@
  registerobj.o dictobj.o namespaceobj.o operobj.o gapobj.o typeobj.o noneobj.o \
  longjump.o wchar.o math.o arguments.o optimizer.o opt_bit.o labelobj.o \
  errorobj.o macroobj.o mfuncobj.o symbolobj.o anonsymbolobj.o memblocksobj.o \
- foldobj.o main.o console.o encobj.o
+ foldobj.o main.o console.o encobj.o argvalues.o
 LDLIBS = -lm
 LANG = C
-VERSION = 1.58
+VERSION = 1.59
 CFLAGS = -O2
 LDFLAGS =
 TARGET = 64tass
@@ -35,11 +35,11 @@
  error.h errors_e.h opcodes.h eval.h oper_e.h values.h section.h avl.h \
  str.h encoding.h file.h variables.h macro.h instruction.h unicode.h \
  listing.h optimizer.h arguments.h ternary.h opt_bit.h longjump.h mem.h \
- unicodedata.h main.h version.h listobj.h obj.h codeobj.h strobj.h \
- addressobj.h boolobj.h bytesobj.h intobj.h bitsobj.h functionobj.h \
- namespaceobj.h operobj.h gapobj.h typeobj.h noneobj.h registerobj.h \
- labelobj.h errorobj.h macroobj.h mfuncobj.h memblocksobj.h symbolobj.h \
- dictobj.h encobj.h
+ unicodedata.h main.h argvalues.h version.h listobj.h obj.h codeobj.h \
+ strobj.h addressobj.h boolobj.h bytesobj.h intobj.h bitsobj.h \
+ functionobj.h namespaceobj.h operobj.h gapobj.h typeobj.h noneobj.h \
+ registerobj.h labelobj.h errorobj.h macroobj.h mfuncobj.h memblocksobj.h \
+ symbolobj.h anonsymbolobj.h dictobj.h encobj.h
 addressobj.o: addressobj.c addressobj.h obj.h attributes.h inttypes.h \
  values.h stdbool.h error.h errors_e.h eval.h oper_e.h variables.h \
  arguments.h instruction.h boolobj.h strobj.h intobj.h typeobj.h \
@@ -49,6 +49,9 @@
 arguments.o: arguments.c arguments.h stdbool.h inttypes.h 64tass.h \
  attributes.h wait_e.h opcodes.h my_getopt.h error.h errors_e.h unicode.h \
  version.h
+argvalues.o: argvalues.c argvalues.h arguments.h stdbool.h inttypes.h \
+ 64tass.h attributes.h wait_e.h eval.h oper_e.h error.h errors_e.h \
+ values.h instruction.h namespaceobj.h obj.h
 avl.o: avl.c avl.h attributes.h stdbool.h
 bitsobj.o: bitsobj.c bitsobj.h obj.h attributes.h inttypes.h oper_e.h \
  math.h eval.h stdbool.h variables.h unicode.h error.h errors_e.h \
@@ -126,7 +129,7 @@
  encobj.h avl.h
 isnprintf.o: isnprintf.c isnprintf.h attributes.h inttypes.h unicode.h \
  stdbool.h eval.h oper_e.h error.h errors_e.h str.h floatobj.h obj.h \
- values.h strobj.h intobj.h typeobj.h noneobj.h errorobj.h
+ values.h strobj.h intobj.h bitsobj.h typeobj.h noneobj.h errorobj.h
 labelobj.o: labelobj.c labelobj.h obj.h attributes.h inttypes.h str.h \
  stdbool.h values.h error.h errors_e.h unicode.h file.h strobj.h \
  typeobj.h
@@ -186,7 +189,8 @@
  errorobj.h errors_e.h addressobj.h intobj.h error.h
 section.o: section.c section.h avl.h attributes.h stdbool.h str.h \
  inttypes.h unicode.h error.h errors_e.h 64tass.h wait_e.h values.h \
- intobj.h obj.h longjump.h optimizer.h eval.h oper_e.h memblocksobj.h
+ intobj.h obj.h longjump.h optimizer.h eval.h oper_e.h memblocksobj.h \
+ mem.h
 str.o: str.c str.h inttypes.h unicode.h attributes.h stdbool.h error.h \
  errors_e.h arguments.h
 strobj.o: strobj.c strobj.h obj.h attributes.h inttypes.h stdbool.h \
@@ -204,7 +208,3 @@
 unicode.o: unicode.c unicode.h attributes.h inttypes.h stdbool.h wchar.h \
  unicodedata.h str.h console.h error.h errors_e.h
 values.o: values.c values.h attributes.h obj.h inttypes.h unicode.h \
- stdbool.h error.h errors_e.h strobj.h typeobj.h
-variables.o: variables.c variables.h stdbool.h inttypes.h unicode.h \
- attributes.h 64tass.h wait_e.h file.h obj.h error.h errors_e.h values.h \
- arguments.h eval.h oper_e.h boolobj.h floatobj.h namespaceobj.h strobj.h \

=== debian/changelog ===
64tass (1.59.3120-2) unstable; urgency=medium

  [ Emanuele Rocca <ema@debian.org> ]
  * Improve upstream bits (closes: #1098949):
    - do not override default build flags,
    - increase build verbosity.

  [ Laszlo Boszormenyi (GCS) ]
  * Update Standards-Version to 4.7.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 26 Feb 2025 17:10:14 +0100

64tass (1.59.3120-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Sep 2023 13:24:54 +0000

=== debian/control ===
Source: 64tass
Section: otherosfs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.7.1
Homepage: http://tass64.sourceforge.net/

Package: 64tass
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cross (turbo) assembler targeting the MOS 65xx series of micro processors
 Multi pass optimizing macro assembler for the 65xx series of processors.
 Key features:
  - Familiar syntax to Omicron TASS and TASM
  - Supports 6502, 65C02, R65C02, W65C02, 65CE02, 65816, DTV, 65EL02, 4510
  - Arbitrary-precision integers and bit strings, double precision floating
    point numbers
  - Character and byte strings, array arithmetic
  - Handles UTF-8, UTF-16 and 8 bit RAW encoded source files, Unicode character
    strings
  - Supports Unicode identifiers with compatibility normalization and optional
    case insensitivity
  - Built-in `linker' with section support
  - Various memory models, binary targets and text output formats (also Hex/
    S-record)
  - Assembly and label listings available for debugging or exporting
  - Conditional compilation, macros, structures, unions, scopes

## 64tass 1.60.3243

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 3120 2023-09-10 16:14:30Z soci $
+# $Id: Makefile 3243 2025-05-10 05:17:11Z soci $
 OBJS = 64tass.o opcodes.o str.o avl.o my_getopt.o eval.o error.o section.o \
  encoding.o ternary.o file.o values.o variables.o mem.o isnprintf.o macro.o \
  obj.o floatobj.o addressobj.o codeobj.o strobj.o listobj.o boolobj.o bytesobj.o \
@@ -9,7 +9,7 @@
  foldobj.o main.o console.o encobj.o argvalues.o
 LDLIBS = -lm
 LANG = C
-VERSION = 1.59
+VERSION = 1.60
 CFLAGS = -O2
 LDFLAGS =
 TARGET = 64tass
@@ -42,8 +42,8 @@
  symbolobj.h anonsymbolobj.h dictobj.h encobj.h
 addressobj.o: addressobj.c addressobj.h obj.h attributes.h inttypes.h \
  values.h stdbool.h error.h errors_e.h eval.h oper_e.h variables.h \
- arguments.h instruction.h boolobj.h strobj.h intobj.h typeobj.h \
- noneobj.h errorobj.h floatobj.h bitsobj.h bytesobj.h registerobj.h
+ arguments.h boolobj.h strobj.h intobj.h typeobj.h noneobj.h errorobj.h \
+ floatobj.h bitsobj.h bytesobj.h registerobj.h codeobj.h
 anonsymbolobj.o: anonsymbolobj.c anonsymbolobj.h obj.h attributes.h \
  inttypes.h eval.h stdbool.h oper_e.h values.h typeobj.h strobj.h
 arguments.o: arguments.c arguments.h stdbool.h inttypes.h 64tass.h \
@@ -68,7 +68,7 @@
  bitsobj.h listobj.h typeobj.h noneobj.h errorobj.h addressobj.h encobj.h \
  avl.h
 codeobj.o: codeobj.c codeobj.h obj.h attributes.h inttypes.h values.h \
- eval.h stdbool.h oper_e.h mem.h 64tass.h wait_e.h section.h avl.h str.h \
+ stdbool.h eval.h oper_e.h mem.h 64tass.h wait_e.h section.h avl.h str.h \
  variables.h error.h errors_e.h arguments.h boolobj.h floatobj.h \
  namespaceobj.h listobj.h intobj.h bitsobj.h bytesobj.h gapobj.h \
  typeobj.h noneobj.h errorobj.h memblocksobj.h symbolobj.h addressobj.h \
@@ -139,8 +139,8 @@
 listobj.o: listobj.c listobj.h obj.h attributes.h inttypes.h values.h \
  stdbool.h eval.h oper_e.h variables.h error.h errors_e.h boolobj.h \
  codeobj.h strobj.h intobj.h typeobj.h noneobj.h errorobj.h foldobj.h
-longjump.o: longjump.c longjump.h avl.h attributes.h stdbool.h inttypes.h \
- error.h errors_e.h
+longjump.o: longjump.c longjump.h avl.h attributes.h inttypes.h error.h \
+ stdbool.h errors_e.h obj.h values.h codeobj.h
 macro.o: macro.c macro.h inttypes.h wait_e.h stdbool.h file.h eval.h \
  attributes.h oper_e.h values.h section.h avl.h str.h variables.h \
  64tass.h listing.h error.h errors_e.h arguments.h optimizer.h main.h \
@@ -185,8 +185,8 @@
  attributes.h errors_e.h section.h avl.h str.h opcodes.h opt_bit.h \
  macro.h wait_e.h
 registerobj.o: registerobj.c registerobj.h obj.h attributes.h inttypes.h \
- stdbool.h eval.h oper_e.h variables.h values.h strobj.h typeobj.h \
- errorobj.h errors_e.h addressobj.h intobj.h error.h
+ stdbool.h eval.h oper_e.h variables.h values.h error.h errors_e.h \
+ strobj.h typeobj.h errorobj.h addressobj.h intobj.h
 section.o: section.c section.h avl.h attributes.h stdbool.h str.h \
  inttypes.h unicode.h error.h errors_e.h 64tass.h wait_e.h values.h \
  intobj.h obj.h longjump.h optimizer.h eval.h oper_e.h memblocksobj.h \
@@ -199,12 +199,11 @@
  typeobj.h noneobj.h errorobj.h
 symbolobj.o: symbolobj.c symbolobj.h obj.h attributes.h inttypes.h str.h \
  stdbool.h eval.h oper_e.h unicode.h error.h errors_e.h file.h values.h \
- arguments.h typeobj.h strobj.h
+ arguments.h variables.h typeobj.h strobj.h errorobj.h
 ternary.o: ternary.c ternary.h stdbool.h inttypes.h unicode.h \
  attributes.h error.h errors_e.h
 typeobj.o: typeobj.c typeobj.h obj.h attributes.h inttypes.h stdbool.h \
- variables.h eval.h oper_e.h strobj.h functionobj.h
+ variables.h eval.h oper_e.h strobj.h functionobj.h dictobj.h
 unicodedata.o: unicodedata.c unicodedata.h inttypes.h attributes.h
 unicode.o: unicode.c unicode.h attributes.h inttypes.h stdbool.h wchar.h \
  unicodedata.h str.h console.h error.h errors_e.h
-values.o: values.c values.h attributes.h obj.h inttypes.h unicode.h \

=== debian/changelog ===
64tass (1.60.3243-1) unstable; urgency=medium

  * New upstream release.
  * Refer online version of Free Software Foundation licence.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Aug 2025 18:13:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.7.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
 Homepage: http://tass64.sourceforge.net/
 
 Package: 64tass

=== debian/watch ===
version=4
# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
http://sf.net/tass64/64tass-(\d\S+)-src@ARCHIVE_EXT@
